smoothSnp {SNPchip} | R Documentation

## A simple nonparametric smoother for genotype and copy number

### Description

A loess smoother for finding regions of reduced copy number and loss of heterozygosity.

### Usage

    smoothSnp(object, ...)

### Arguments

`object` | Object derived from `AnnotatedSnpSet`
`...` | For additional arguments see details.

### Details

Additional arguments include the chromosomes (character vector) and samples (numerical vector) to smooth. Options for smoothing are set by specifying the span and the method. See the SNPchip vignette.

See the R package VanillaICE for a hidden Markov model for more formal inference regarding regions of LOH and copy number alterations.

### Value

An object of the same class, e.g., `AnnotatedSnpSet`, where assayData elements copyNumber and calls are replaced by the smoothed values.

### Author(s)

Robert Scharpf

### References

RS

[Package SNPchip version 1.8.0 Index]